Bug 434078 - netcdf failed massrebuild attempt for GCC 4.3
netcdf failed massrebuild attempt for GCC 4.3
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: netcdf (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Hill
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 08:02 EST by Jesse Keating
Modified: 2013-01-09 21:52 EST (History)
4 users (show)

See Also:
Fixed In Version: 3.6.2-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-06 04:06:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
use cstring and disable parallel make (1.56 KB, patch)
2008-02-24 11:26 EST, Patrice Dumas
no flags Details | Diff

  None (edit)
Description Jesse Keating 2008-02-22 08:02:44 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=438557
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Tyler Owen 2008-02-24 10:40:08 EST
some of the errors in ppc build.log:

ncvalues.cpp: In member function 'virtual char* NcValues_ncbyte::as_string(long
int) const':
ncvalues.cpp:238: error: 'strncpy' was not declared in this scope
ncvalues.cpp: In member function 'virtual char* NcValues_char::as_string(long
int) const':
ncvalues.cpp:246: error: 'strncpy' was not declared in this scope
Comment 2 Patrice Dumas 2008-02-24 11:26:20 EST
Created attachment 295741 [details]
use cstring and disable parallel make
Comment 3 Jef Spaleta 2008-03-19 18:23:46 EDT
ping...
ed are you working on fixing this? I can poke at this tomorrow if you aren't
already looking into this.

-jef
Comment 4 Bug Zapper 2008-05-14 01:24:49 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Patrice Dumas 2008-07-06 04:06:20 EDT
This has already been fixed in 3.6.2-7.

Note You need to log in before you can comment on or make changes to this bug.